Sympa::Spindle::ProcessOutgoing(3Sympa)

NAME
Sympa::Spindle::ProcessOutgoing - Workflow of message distribution

SYNOPSIS
  use Sympa::Spindle::ProcessOutgoing;

  my $spindle = Sympa::Spindle::ProcessOutgoing->new;
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessOutgoing defines workflow to distribute messages in outgoing spool using mailer.

If messages are stored into incoming spool, sooner or later Sympa::Spindle::ProcessIncoming fetches them, modifies header and body of them, shelves several transformations, and at last stores altered messages into outgoing spool.

When spin() method of this class is invoked, it reads the messages in outgoing spool and executes shelved transformations. Message transformations are done in the following order:

•   DMARC protection

•   Processing for tracking and VERP (see also <Sympa::Tracking>)

•   Personalization (a.k.a. "merge") and decoration (adding footer/header)

•   S/MIME signing

•   S/MIME encryption

•   Removal of existing DKIM signature(s) which are invalidated by preceding transformations.

•   DKIM signing and ARC sealing

Then spin() method stores transformed message into mailer (See Sympa::Mailer).

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( [ log_level => $level ], [ log_smtp => 0|1 ] )
spin ( )
    new() may take following options:

    log_level => $level
        Overwrites log_level parameter in configuration.

    log_smtp => 0|1
        Overwrites log_smtp parameter in configuration.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Outgoing class.

SEE ALSO
Sympa::Mailer, Sympa::Message, Sympa::Spindle, Sympa::Spool::Outgoing.

HISTORY
Sympa::Spindle::ProcessOutgoing appeared on Sympa 6.2.13.

Message decoration was moved from Sympa::Spindle::ToList to this module on Sympa 6.2.59b.